Axelered
Workspace

Update Current Workspace

PATCH
/workspace

Perform a partial update of the workspace of the request.

Header Parameters

x-workspace-id?|

The Workspace to act on. Required for the Root Key and global API Keys, optional for bound ones.

Request Body

application/json
  1. body
name?Name

New name for the workspace

Response Body

Successful Response

application/json
  1. response
status?Status
Default"ok"
data*
{  "status": "ok",  "data": {    "id": "string",    "createdAt": "string",    "modifiedAt": "string",    "deletedAt": "string",    "name": "string",    "credits": 0,    "allowExternal": true  }}